import type { MaybeArray } from '.';

export interface SimplePart<N extends string> {
  name: N;
}
type Payload = Record<string, unknown>;
export interface PayloadPart<N extends string, P extends Payload> extends SimplePart<N> {
  payload: P;
}
type Relations = Record<string, MaybeArray<string>>;
export function useGameSocket<TRequest extends SimplePart<string>, const TRelations extends Relations,>{}
